<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: lpm_fifo Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">lpm_fifo Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for lpm_fifo:</div>
<div class="dyncontent">
<div class="center"><img src="classlpm__fifo__inherit__graph.png" border="0" usemap="#lpm__fifo_inherit__map" alt="Inheritance graph"/></div>
<map name="lpm__fifo_inherit__map" id="lpm__fifo_inherit__map">
<area shape="rect" id="node2" href="classmemory__rnd.html" title="memory_rnd" alt="" coords="63,80,168,107"/><area shape="rect" id="node3" href="classevent__generator.html" title="event_generator" alt="" coords="51,155,180,181"/><area shape="rect" id="node4" href="classfed__itf.html" title="fed_itf" alt="" coords="84,229,148,256"/><area shape="rect" id="node5" href="classSLINK__opt.html" title="SLINK_opt" alt="" coords="5,304,93,331"/><area shape="rect" id="node9" href="classSLINK__opt__XGMII.html" title="SLINK_opt_XGMII" alt="" coords="117,304,251,331"/><area shape="rect" id="node6" href="classDaqLSCXG.html" title="DaqLSCXG" alt="" coords="5,379,96,405"/><area shape="rect" id="node7" href="classDAQLSCXG__if.html" title="DAQLSCXG_if" alt="" coords="61,453,171,480"/><area shape="rect" id="node8" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="71,528,161,555"/><area shape="rect" id="node10" href="classDaqLSCXG10G.html" title="DaqLSCXG10G" alt="" coords="123,379,240,405"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classlpm__fifo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classlpm__fifo_1_1lpm__fifo__a.html">lpm_fifo_a</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:a96754d19c2b0f43b8cb4eb02262f1c92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96754d19c2b0f43b8cb4eb02262f1c92"></a>
<a class="el" href="classlpm__fifo.html#a96754d19c2b0f43b8cb4eb02262f1c92">XilinxCoreLib</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a8120037e0ee47c35ba2d79242209c72e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8120037e0ee47c35ba2d79242209c72e"></a>
<a class="el" href="classlpm__fifo.html#a8120037e0ee47c35ba2d79242209c72e">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa7b7040844189161771c36cf6bbf172c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7b7040844189161771c36cf6bbf172c"></a>
<a class="el" href="classlpm__fifo.html#aa7b7040844189161771c36cf6bbf172c">rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1e9eb4a90c6d916f2b8f632217295e37"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e9eb4a90c6d916f2b8f632217295e37"></a>
<a class="el" href="classlpm__fifo.html#a1e9eb4a90c6d916f2b8f632217295e37">din</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac51524942fe13194bea41f47a0e1f359"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac51524942fe13194bea41f47a0e1f359"></a>
<a class="el" href="classlpm__fifo.html#ac51524942fe13194bea41f47a0e1f359">wr_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab858d9d3b031f1fcf77d03604d9207c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab858d9d3b031f1fcf77d03604d9207c4"></a>
<a class="el" href="classlpm__fifo.html#ab858d9d3b031f1fcf77d03604d9207c4">rd_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aad4622f267d95d14516c7e8100f29c96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aad4622f267d95d14516c7e8100f29c96"></a>
<a class="el" href="classlpm__fifo.html#aad4622f267d95d14516c7e8100f29c96">dout</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8260079058dc695c1af4b135dcd8af40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8260079058dc695c1af4b135dcd8af40"></a>
<a class="el" href="classlpm__fifo.html#a8260079058dc695c1af4b135dcd8af40">full</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2bd38ce6c27442e8a4511f4daf729cb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2bd38ce6c27442e8a4511f4daf729cb6"></a>
<a class="el" href="classlpm__fifo.html#a2bd38ce6c27442e8a4511f4daf729cb6">empty</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="lpm__fifo_8vhd_source.html#l00043">43</a> of file <a class="el" href="lpm__fifo_8vhd_source.html">lpm_fifo.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="lpm__fifo_8vhd_source.html">lpm_fifo.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
